import { get } from 'lodash';

import WithForm from '../../../../../../vendor/barn2/setup-wizard/resources/js/steps/with-form';

export default class Layout extends WithForm {

	constructor( props ) {
		super( props );
	}

	/**
	 * Submit the form via ajax
	 */
	onSubmit( values ) {
		// Reset the steps so we make sure the hidden ones stay hidden.
		this.props.resetSteps()

		this.setErrorMessage( false ); // reset the error message.

		const layout = get( values, 'layout', false );

		if ( layout === false ) {
			this.setErrorMessage( __( 'Please select a layout for your document libraries.') );
			return;
		}

		if ( layout === 'grid' ) {
            this.props.showStep( 'grid' )
            this.props.hideStep( 'table' )
            this.props.hideStep( 'filters' )
        }

        if ( layout === 'table' ) {
            this.props.showStep( 'table' )
            this.props.showStep( 'filters' )
            this.props.hideStep( 'grid' )
        }

		super.onSubmit(values)

	}
}