<?php

namespace Barn2\Plugin\Document_Library_Pro\Admin\Wizard\Steps;

use Barn2\Plugin\Document_Library_Pro\Dependencies\Barn2\Setup_Wizard\Steps\Cross_Selling;
use Barn2\Plugin\Document_Library_Pro\Dependencies\Barn2\Setup_Wizard\Util;

/**
 * Upsell Step.
 *
 * @package   Barn2/document-library-pro
 * @author    Barn2 Plugins <info@barn2.com>
 * @license   GPL-3.0
 * @copyright Barn2 Media Ltd
 */
class Upsell extends Cross_Selling {

	/**
	 * Constructor.
	 */
	public function __construct() {
		parent::__construct();
		$this->set_name( esc_html__( 'More', 'document-library-pro' ) );
		$this->set_description(
			sprintf(
				// translators: %1$s: URL to All Access Pass page %2$s: URL to the KB about the upgrading process
				__( 'Enhance your store with these fantastic plugins from Barn2, or get them all by upgrading to an <a href="%1$s" target="_blank">All Access Pass<a/>! <a href="%2$s" target="_blank">(learn how here)</a>', 'document-library-pro' ),
				Util::generate_utm_url( 'https://barn2.com/wordpress-plugins/bundles/', 'dlp' ),
				Util::generate_utm_url( 'https://barn2.com/kb/how-to-upgrade-license/', 'dlp' )
			)
		);
		$this->set_title( esc_html__( 'Extra features', 'document-library-pro' ) );
	}

	/**
	 * Mark the wizard complete
	 *
	 * @return void
	 */
	public function get_upsells() {
		$this->get_wizard()->set_as_completed();

		parent::get_upsells();
	}
}
